Name:           perl-Unix-ConfigFile
Version:        0.06
Release:        2%{?dist}
Summary:        Perl interface to various Unix configuration files
License:        CHECK(GPL+ or Artistic)
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Unix-ConfigFile/
Source0:        http://www.cpan.org/authors/id/S/SS/SSNODGRA/Unix-ConfigFile-%{version}.tar.gz
Patch0:		perl-Unix-ConfigFile-defined.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires: perl(ExtUtils::ParseXS)
BuildRequires: perl(ExtUtils::Manifest)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
The Unix::ConfigFile module provides a base class from which the other
Unix::*File modules are derived. It provides some basic facilities like
file opening, locking, and closing. You do not need to use this module
directly unless you are developing a derived module for an unsupported
configuration file. However, some of the methods documented here are
intended for public use by users of Unix::ConfigFile submodules, so you
may find this documentation useful even if you are not developing your
own module.

%prep
%setup -q -n Unix-ConfigFile-%{version}
%patch0 -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc aliases.orig aliases.test auto_home.orig auto_home.test Changes group.orig group.test passwd.orig passwd.test README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Mon Mar 11 2024 Jean-Philippe Pialasse <tests@pialasse.com> 0.06-2
- fix cpan 103189 bug with defined @array

* Fri Jul 14 2023 BogusDateBot
- Eliminated rpmbuild "bogus date" warnings due to inconsistent weekday,
  by assuming the date is correct and changing the weekday.

* Fri Mar 18 2016 Daniel Berteaud <daniel@firewall-services.com> 0.06-1
- First build using cpanspec [SME: 9338]
